Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030451
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2015-07-29 16:122016-09-19 13:38
ReporterngarciaView Statuspublic 
Assigned Toaferraz 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiona2790dd1c422
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030451: Performance Problems on the Costing Migration Process

DescriptionPerformance Problems on the Costing Migration Process
Steps To ReproduceIn an environment without the new costing engine (previous to 3.0MP13) and a big quantity of transactions (e.g. 1500000)
As system admin role:
   Upgrade it to the last version
   Close the current period
   Launch the Costing Migration process
   If you don't change the Session Timeout to be higher than 24 hours the errors launched by the process will only be available in the log
   Check its first launch takes too long and the process fails
   It should be launched again from scratch once the period is opened
   The same could happen if you have negative stock without allowing it (you could reach this situation if you use Openbravo For Retail)
   
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0024008 newdmiguelez It would be fine to have any kind of information about the evolution of the Costing Migration Process 
related to defect 00240063.0MP25 closedpramakrishnan The Costing Migration Process should be improved to avoid performance problems. 
related to defect 0034130 closedaferraz Costing Migration Process takes too long with big amount of records in m_transaction table 
related to defect 0035959 closedmarkmm82 Performance problem in Costing Migration Process with high volume of records in m_transaction table 

-  Notes
(0079569)
hgbot (developer)
2015-08-21 11:58

Repository: erp/devel/pi
Changeset: a2790dd1c4226a4a6762e171329c5c2a3c0e5aaa
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Aug 12 10:53:32 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a2790dd1c4226a4a6762e171329c5c2a3c0e5aaa [^]

Fixes issue 30451: Performance Problems on Costing Migration Process

Added some checks before process starts to check if exists wrong data and it is needed to correct it.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/costing/CostingMigrationProcess.java
---
(0079570)
dmiguelez (developer)
2015-08-21 11:59

Code Review + Testing Ok
(0079589)
hudsonbot (developer)
2015-08-21 21:00

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/be999ae66d23 [^]
Maturity status: Test
(0090063)
ngarcia (developer)
2016-09-19 13:38

The process will also stop if there does not exist conversion rate defined from the legal entity currency to the m_transaction_cost currency

- Issue History
Date Modified Username Field Change
2015-07-29 16:12 ngarcia New Issue
2015-07-29 16:12 ngarcia Assigned To => Triage Finance
2015-07-29 16:12 ngarcia Modules => Core
2015-07-29 16:12 ngarcia Triggers an Emergency Pack => No
2015-07-29 16:13 ngarcia Issue Monitored: networkb
2015-07-29 19:04 ngarcia Relationship added related to 0024008
2015-08-05 09:37 ngarcia Relationship added related to 0024006
2015-08-07 10:23 aferraz Assigned To Triage Finance => aferraz
2015-08-20 10:57 aferraz Status new => scheduled
2015-08-21 11:58 hgbot Checkin
2015-08-21 11:58 hgbot Note Added: 0079569
2015-08-21 11:58 hgbot Status scheduled => resolved
2015-08-21 11:58 hgbot Resolution open => fixed
2015-08-21 11:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a2790dd1c4226a4a6762e171329c5c2a3c0e5aaa [^]
2015-08-21 11:59 dmiguelez Review Assigned To => dmiguelez
2015-08-21 11:59 dmiguelez Note Added: 0079570
2015-08-21 11:59 dmiguelez Status resolved => closed
2015-08-21 21:00 hudsonbot Checkin
2015-08-21 21:00 hudsonbot Note Added: 0079589
2016-09-19 13:38 ngarcia Note Added: 0090063
2016-09-29 14:17 ngarcia Relationship added related to 0034130
2017-05-09 12:32 aferraz Relationship added related to 0035959


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker